Starter kit for Angular Material
================================

Here is an angular material starter kit to use with [Luticate2](https://git.rthoni.com/luticate2/).

Getting started
---------------
```shell
git clone https://git.rthoni.com/robin.thoni/starter-angular-material
cd starter-angular-material
bower install
```

A CRUD stack is provided as an example:
`app/controllers/articles.controller.js`  
`app/controllers/articlesedit.controller.js`  
`app/sdk/Business/articles.business.js`  
`app/sdk/DataAccess/articles.dataaccess.js`

See [Luticate2-api/WebApiUtils](https://git.rthoni.com/luticate2/luticate2-api/src/master/WebApiUtils) project for the backend.

Build
-----
To concatenate, minify and uglyfy the app, run the following:
```shell
npm install
grunt --gruntfile Gruntfile_01_global.js
grunt --gruntfile Gruntfile_02_app.js
```
The ouput will be available in `build/release/`