angular.module('app')
    .controller('HomeController', ['$scope', '$state', '$mdDialog', 'articlesBusiness', 'luBusyBusiness', 'AppUtilsBusiness',
        function($scope, $state, $mdDialog, articlesBusiness, luBusyBusiness, AppUtilsBusiness) {

        luBusyBusiness.reset();
        $scope.item = null;
        $scope.appUtils = AppUtilsBusiness;

        $scope.load = function()
        {
            articlesBusiness.getMultiple('id', 'type: home', 0, 1, 'home.home').then(function(data)
            {
                $scope.item = data.data[0];
            }, function (error) {});
        };

        $scope.load();
    }]);
